
USES WinDOS, WinCRT, Strings, WinProcs, WinTypes;

VAR  CurDir          : String;          { Aktuelles Verzeichnis }
     CurDrive        : Char;            { CD-ROM-Laufwerk }
     PCurDrive       : PChar;           {    " als PChar }
     Dest            : String;          { Zielverzeichnis }
     PDest           : PChar;           {     " als PChar }
     Home            : PChar;           { Homepage }
     Viewer          : PChar;           { Viewer-Eintrag in INI }
     Kommando        : PChar;           { fr WinExec }
     CelloPfad       : PChar;           { Pfad zur INI im Zielverz. }
     Loc, Auf        : Char;            { Benutzereingaben }
     Erg             : Integer;         { IOResult }

BEGIN

  Writeln('Dieses Programm installiert den WWW-Browser Cello auf Ihrem System.');
  Writeln('Sie knnen die Installation durch Drcken von CTRL-C abbrechen.');

  GetDir(0, CurDir);
  CurDrive:=CurDir[1];

  GetMem(PCurDrive,2);
  StrPCopy(PCurDrive,CurDrive);

  Writeln;
  REPEAT
    Writeln('Zielverzeichnis fr Cello (z.B. C:\CELLO) ?');
    Readln(Dest);
    {$I-}
    MkDir(Dest);
    Erg:=IOResult;
    {$I+}
    { IOResult=5: Verz. existiert bereits, IOResult=3: Fehler }
    IF (Erg<>0) AND (Erg<>5) THEN writeln('Fehler. Bitte anderes Verzeichnis whlen!');
  UNTIL (Erg=0) OR (Erg=5);

  { Kopiere CELLO.INI }

  GetMem(Kommando, 200);
  GetMem(PDest, 200);
  StrPCopy(PDest,Dest);

  StrCopy(Kommando,'COMMAND.COM /C cp-cello.bat ');
  StrCat(Kommando, PDest);
  WinExec(Kommando, SW_SHOW);

  Writeln;
  Writeln('Bitte warten Sie, whrend die CELLO-Dateien kopiert werden ...');

  { Abfragen }

  Writeln;
  REPEAT
    Write('Besteht unter Windows Internet-Zugang ? (j/n) : ');
    Readln(Loc);
  UNTIL Loc IN ['j','n'];

  { Schreibe CELLO.INI }

  GetMem(CelloPfad, 200);
  StrCat(CelloPfad,PDest);
  StrCat(CelloPfad,'\CELLO.INI');

  IF Loc='j'
     THEN WritePrivateProfileString('CELLO','LocalOnly','no',CelloPfad)
     ELSE BEGIN
            Writeln('Kopiere WINSOCK-DLLs ...');
            WritePrivateProfileString('CELLO','LocalOnly','yes',CelloPfad);
            StrCopy(Kommando,'COMMAND.COM /C COPY *.dll ');
            StrCat(Kommando, PDest);
            WinExec(Kommando, SW_HIDE);
          END;

  Writeln;
  REPEAT
    Writeln('Welche Grafikauflsung soll eingestellt werden?');
    Writeln('1 ...  640 x 480');
    Writeln('2 ...  800 x 600');
    Writeln('3 ... 1024 x 768');
    Write('Ihre Wahl: ');
    Readln(Auf);
  UNTIL Auf IN ['1','2','3'];
  Writeln;

  CASE Auf OF
       '1': WritePrivateProfileString('CELLO','StyleFile', '640-480.sty',CelloPfad);
       '2': WritePrivateProfileString('CELLO','StyleFile', '800-600.sty',CelloPfad);
       '3': WritePrivateProfileString('CELLO','StyleFile','1024-768.sty',CelloPfad);
  END;

  GetMem(Home,200);
  StrCopy(Home,'file://localhost/');
  StrCat(Home,PCurDrive);
  StrCat(Home,':/www-seit/www-seit.htm');
  WritePrivateProfileString('Cello','HomePage', Home, CelloPfad);

  GetMem(Viewer,200);
  StrCopy(Viewer,PCurDrive);
  WritePrivateProfileString('Extensions','gif',
    StrCat(Viewer,':\viewer\gv\gv057.exe ^.gif'), CelloPfad);
  StrCopy(Viewer,PCurDrive);
  WritePrivateProfileString('Extensions','jpg',
    StrCat(Viewer,':\viewer\gv\gv057.exe ^.jpg'), CelloPfad);
  StrCopy(Viewer,PCurDrive);
  WritePrivateProfileString('Extensions','bmp',
    StrCat(Viewer,':\viewer\gv\gv057.exe ^.bmp'), CelloPfad);

  StrCopy(Viewer,PCurDrive);
  WritePrivateProfileString('Extensions','au',
    StrCat(Viewer,':\viewer\wplny\wplany.exe -u -r 8000 ^.au'), CelloPfad);
  StrCopy(Viewer,PCurDrive);
  WritePrivateProfileString('Extensions','snd',
    StrCat(Viewer,':\viewer\wplny\wplany.exe ^.snd'), CelloPfad);
  StrCopy(Viewer,PCurDrive);
  WritePrivateProfileString('Extensions','voc',
    StrCat(Viewer,':\viewer\wplny\wplany.exe ^.voc'), CelloPfad);
  StrCopy(Viewer,PCurDrive);
  WritePrivateProfileString('Extensions','wav',
    StrCat(Viewer,':\viewer\wplny\wplany.exe ^.wav'), CelloPfad);

  StrCopy(Viewer,PCurDrive);
  WritePrivateProfileString('Extensions','txt',
    StrCat(Viewer,':\viewer\fview105\fileview.exe ^.txt'), CelloPfad);

  StrCopy(Viewer,PCurDrive);
  StrCat(Viewer,':\viewer\ghost\gswin.exe -I');
  StrCat(Viewer,PCurDrive);
  StrCat(Viewer,':\viewer\ghost\ ^.ps');
  WritePrivateProfileString('Extensions','ps',Viewer,CelloPfad);

  StrCopy(Viewer,PCurDrive);
  WritePrivateProfileString('Extensions','mpg',
    StrCat(Viewer,':\viewer\vmpeg12\vmpegnwg.exe ^.mpg'), CelloPfad);

END.